# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

JAVA_PKG_IUSE="source"

inherit java-pkg-2 java-ant-2 eutils rpm

RPM_VER="1.1"

DESCRIPTION="opsi depot server"
HOMEPAGE="http://opsi.org/"
SRC_URI="http://download.opensuse.org/repositories/home:/uibmz:/opsi:/opsi40-testing/openSUSE_12.1/src/${P}-${RPM_VER}.src.rpm"

LICENSE="GPL-2"
IUSE=""
KEYWORDS="~amd64 ~x86"

COMMON_DEP="dev-java/swingx:1.6"
RDEPEND=">=virtual/jre-1.6
	${COMMON_DEP}"
DEPEND=">=virtual/jdk-1.6
	${COMMON_DEP}"
RESTRICT=""
SLOT="0"

java_prepare() {
	rm -rf *.jar
	mv classes build
}

src_compile() {
	ejavac -encoding UTF-8 -sourcepath src -classpath $(java-pkg_getjars swingx-1.6) -d build src/de/uib/configed/configed.java
	ejavac -encoding UTF-8 -sourcepath src -classpath $(java-pkg_getjars swingx-1.6) -d build src/de/uib/configed/configedApplet.java
	ejavac -encoding UTF-8 javainfo.java
	jar -cvfm configed.jar MANIFEST.MF -C build/ .
}

src_install() {
	java-pkg_jarinto /usr/lib/configed
	insinto /usr/lib/configed
	doins index.html javainfo.class
	java-pkg_dojar "${S}"/configed.jar
	# get the swingx.jar for the java webstart into the right place
	java-pkg_dojar "${ROOT}"/usr/share/swingx-1.6/lib/swingx.jar
	java-pkg_dolauncher ${PN} --main de.uib.configed.configed

	insinto /usr/share/configed
	doins configed_icon.png

	newicon configed_icon.png ${PN}.png
	make_desktop_entry ${PN} "Opsi Configuration Editor" ${PN} Settings;Utility;

	use source && java-pkg_dosrc "${S}"/src/*
}
