# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac/trac-0.12.2-r1.ebuild,v 1.1 2011/12/31 20:17:50 idl0r Exp $

EAPI="2"
PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RPM_VER="1.1"

inherit distutils eutils rpm

DESCRIPTION="opsi configuration service"
HOMEPAGE="http://opsi.org"
LICENSE="GPL-2"
SRC_URI="http://download.opensuse.org/repositories/home:/uibmz:/opsi:/opsi40/openSUSE_12.1/src/${P}-${RPM_VER}.src.rpm"

IUSE=""

KEYWORDS="~amd64 ~arm ~x86"

# doing so because tools, python packages... overlap
SLOT="0"

RDEPEND="dev-python/python-opsi
	dev-python/twisted
	net-analyzer/rrdtool[python]
	net-dns/avahi[python]"
DEPEND="${RDEPEND}
	dev-python/setuptools
	dev-libs/openssl
	dev-python/dbus-python
	sys-process/procps"

RESTRICT_PYTHON_ABIS="3.*"

pkg_setup() {
	python_pkg_setup

	enewgroup pcpatch 992
	enewuser opsiconfd 993 -1 /var/lib/opsi pcpatch
	enewgroup opsiadmin
}


# the default src_compile just calls setup.py build
# currently, this switches i18n catalog compilation based on presence of Babel

src_install() {
	distutils_src_install

	# project environments might go in here
#	keepdir /var/lib/trac

	# Use this as the egg-cache for tracd
#	dodir /var/lib/trac/egg-cache
#	keepdir /var/lib/trac/egg-cache
#	fowners tracd:tracd /var/lib/trac/egg-cache

	# documentation
#	cp -r contrib "${D}"/usr/share/doc/${P}/

	# tracd init script
#	newconfd "${FILESDIR}"/tracd.confd tracd
#	newinitd "${FILESDIR}"/tracd.initd tracd

}

pkg_postinst() {
	distutils_pkg_postinst
#openssl req -x509 -newkey rsa:2048 -batch -nodes\
#-config ${INTRINsec_HOME}/${PN}/conf/openssl.cnf\
#-out ${INTRINsec_HOME}/${PN}/conf/vulture.crt\
#-keyout ${INTRINsec_HOME}/${PN}/conf/vulture.key
#einfo "Vulture is installed. You can now type the following :"
#einfo "echo \"apache ALL=NOPASSWD:/usr/sbin/apache2\" >> /etc/sudoers"

chmod 600 /etc/opsi/opsiconfd.pem
chown opsiconfd:opsiadmin /etc/opsi/opsiconfd.pem || true
chmod 750 /var/log/opsi/opsiconfd
chown -R opsiconfd:pcpatch /var/log/opsi/opsiconfd

}
